unit SurveillanceUnitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, SurveillanceController, ExtCtrls;

type
  TFormSurveillanceUnit = class(TForm)
    ButtonStart: TButton;
    ButtonPrepare: TButton;
    procedure ButtonStartClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure ButtonPrepareClick(Sender: TObject);
  private
    SurveillanceController : TSurveillanceController;
  public

  end;

var
  FormSurveillanceUnit: TFormSurveillanceUnit;

implementation

{$R *.dfm}

procedure TFormSurveillanceUnit.ButtonPrepareClick(Sender: TObject);
begin
  SurveillanceController.LoadSettings('.\localconfig.ini');
  SurveillanceController.Prepare;
end;

procedure TFormSurveillanceUnit.ButtonStartClick(Sender: TObject);
begin
  SurveillanceController.Start;
end;

procedure TFormSurveillanceUnit.FormCreate(Sender: TObject);
begin
  SurveillanceController := TSurveillanceController.Create(self);
end;

procedure TFormSurveillanceUnit.FormDestroy(Sender: TObject);
begin
  SurveillanceController.Free;
end;

end.
